<div class="banner-interno" fxLayout.gt-sm="row" fxLayout="column" fxLayoutAlign="center center" fxLayoutAlign.gt-sm="space-between center">
    <div class="container" fxLayoutAlign="center center">
        <div fxFlex="90" fxFlex.xs="100" fxLayout="row wrap" fxLayoutAlign="space-between center">
            <h1 style="padding:0 0 !important">Carrito de compras</h1>
            <br fxHide.gt-xs="true" />
            <br fxHide.gt-xs="true" />
            <div matTooltip="Primero debes iniciar sesión" [matTooltipDisabled]="!enableBtnShop">
                <button mat-stroked-button [ngClass]="{'color-btn-primary-lg': !enableBtnShop}" [fxHide]="noItems" class="btn-primary-lg white-border" [disabled]="enableBtnShop" (click)="makeOrder()">
                <mat-icon>shopping_cart</mat-icon>
                Finalizar pedido
              </button>
            </div>
        </div>
    </div>
</div>

<div class="container" fxLayout="row wrap" fxLayoutAlign="center start">
    <div fxFlex="90" fxLayout="row wrap">
        <button mat-raised-button color="primary" (click)="removeSelectedRows()" [disabled]="removeStateBtn" style="margin-bottom: 20px">
      Remover producto(s)
    </button>
    </div>
    <div fxFlex="90" class="mat-elevation-z8 table-container">
        <table mat-table #sumaValues [dataSource]="dataSource" class="table-pedido">
            <!-- Checkbox Column -->

            <ng-container matColumnDef="select">
                <th mat-header-cell *matHeaderCellDef>
                    <mat-checkbox (change)="$event ? masterToggle() : null" [checked]="selection.hasValue() && isAllSelected()" [indeterminate]="selection.hasValue() && !isAllSelected()"></mat-checkbox>
                </th>

                <td mat-cell *matCellDef="let row" data-label="Selección">
                    <mat-checkbox (click)="$event.stopPropagation()" (change)="$event ? selection.toggle(row) : null" [checked]="selection.isSelected(row)"></mat-checkbox>
                </td>
                <td mat-footer-cell *matFooterCellDef></td>
            </ng-container>

            <!-- Position Column -->

            <ng-container matColumnDef="codigo">
                <th mat-header-cell *matHeaderCellDef>Código</th>

                <td mat-cell *matCellDef="let element" data-label="Código">{{ element.codigo }}</td>
                <td mat-footer-cell *matFooterCellDef></td>
            </ng-container>

            <!-- Name Column -->

            <ng-container matColumnDef="producto">
                <th mat-header-cell *matHeaderCellDef>Producto</th>

                <td mat-cell *matCellDef="let element" data-label="Producto">
                    <div [innerHTML]="element.producto | SafeHtml"></div>
                </td>
                <td mat-footer-cell *matFooterCellDef></td>
            </ng-container>

            <!-- Weight Column -->

            <ng-container matColumnDef="unidadMinima">
                <th mat-header-cell *matHeaderCellDef>Unidades</th>

                <td mat-cell *matCellDef="let element" data-label="Unidades">
                    <mat-form-field appearance="outline" fxFlex.gt-md="30" fxFlex="40">
                        <mat-label>Unidades</mat-label>
                        <input matInput [id]="element.codigo" type="number" placeholder="Placeholder" [(ngModel)]="element.unidades" [value]="element.unidades" [min]="element.unidadMinima" [max]="element.unidMax" (change)="valueTotal()" />
                        <span *ngIf="element.unidadMedida == 'Metros'" matSuffix matTooltip="Metros">M</span>
                    </mat-form-field>
                </td>
                <td mat-footer-cell *matFooterCellDef></td>
            </ng-container>

            <!-- Symbol Column -->

            <ng-container matColumnDef="precio">
                <th mat-header-cell *matHeaderCellDef>Precio</th>

                <td mat-cell data-label="Precio" *matCellDef="let element">
                    {{ element.precio | currency: "COP":"$":"1.0-0" }}
                </td>
                <td mat-footer-cell *matFooterCellDef><b>GRAN TOTAL</b></td>
            </ng-container>

            <ng-container matColumnDef="totalProducto">
                <th mat-header-cell *matHeaderCellDef>Total Producto</th>
                <td mat-cell data-label="Total Producto" *matCellDef="let element">
                    {{ element.unidades * element.precio | currency: "COP":"$":"1.0-0" }}
                </td>
            </ng-container>

            <ng-container matColumnDef="blankCell">
                <td mat-footer-cell *matFooterCellDef>
                </td>
            </ng-container>

            <ng-container matColumnDef="domicilioText">
                <td mat-footer-cell *matFooterCellDef>
                    Domicilio:
                </td>
            </ng-container>

            <ng-container matColumnDef="domicilioVal">
                <td mat-footer-cell *matFooterCellDef>
                    <span [matTooltip]="bigTotal > topeDeCompra ? 'No aplica domicilio' : null" matTooltipPosition="right">{{domicilio | currency: "COP":"$":"1.0-0"}}</span>
                </td>
            </ng-container>

            <ng-container matColumnDef="totalValText">
                <td mat-footer-cell *matFooterCellDef>
                    Gran Total:
                </td>
            </ng-container>

            <ng-container matColumnDef="totalVal">
                <td mat-footer-cell *matFooterCellDef>
                    <b>{{ bigTotal | currency: "COP":"$":"1.0-0" }}</b>
                </td>
            </ng-container>

            <tr mat-header-row *matHeaderRowDef="displayedColumns; sticky: true"></tr>
            <tr mat-row *matRowDef="let row; columns: displayedColumns" (click)="selection.toggle(row)"></tr>
            <!--<tr mat-footer-row *matFooterRowDef="displayedColumns; sticky: true"></tr>-->
            <tr mat-footer-row [ngClass]="{'disabled-domicilio' : bigTotal > topeDeCompra}" *matFooterRowDef="['blankCell', 'blankCell', 'blankCell', 'blankCell', 'domicilioText', 'domicilioVal']; sticky: true"></tr>
            <tr mat-footer-row *matFooterRowDef="['blankCell', 'blankCell', 'blankCell', 'blankCell', 'totalValText', 'totalVal']; sticky: true"></tr>
        </table>
    </div>
    <div fxFlex="90" fxLayout="row" fxLayoutAlign="end center" fxLayoutGap="20px">
        <div matTooltip="Primero debes iniciar sesión" [matTooltipDisabled]="!enableBtnShop" fxFlex.xs="100">
            <button mat-stroked-button [fxHide]="noItems" [ngClass]="{'color-btn-primary-lg': !enableBtnShop}" fxFlex.xs="100" class="btn-primary-lg" [disabled]="enableBtnShop" (click)="makeOrder()">
          Finalizar pedido
        </button>
        </div>
    </div>


    <form *ngIf="orderNo.length" action="https://checkout.wompi.co/p/" method="GET" #formWomp>

        <input type="hidden" name="public-key" value="pub_prod_9oEMruIMC7666JrX8cMiiGEPrQ6ILpLN" />
        <input type="hidden" name="currency" value="COP" />
        <input type="hidden" name="amount-in-cents" [value]="this.totalPay[0].total" />
        <input type="hidden" name="reference" [value]="this.orderNo[0].invoiceNo" />

        <input type="hidden" name="redirect-url" value="https://laurafrancioli.treking.com.co/response" />
        <button type="submit">Pagar con Wompi</button>
    </form>

    <br />
    <br />
    <br />
    <br />
</div>
